function jobID = extractJobId(cmdOut)
% Extracts the job ID from the sbatch command output for SLURM

% Copyright 2010-2014 The MathWorks, Inc.

% jobId should be in the following format:
% "Submitted batch job 12345"

jobID = regexprep(cmdOut,'Submitted batch job ([0-9])','$1');
jobID = strtrim(jobID);
cmdOut = strtrim(cmdOut);
dctSchedulerMessage(0, '%s: Job ID %s was extracted from squeue output: \n\t%s', mfilename, jobID, cmdOut);
